Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui.contentassist.antlr.internal
Class InternalATestLexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer
                  org.eclipse.amp.amf.testing.ui.contentassist.antlr.internal.InternalATestLexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

    public class InternalATestLexer

extends org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer

Field Summary
`protected org.eclipse.amp.amf.testing.ui.contentassist.antlr.internal.InternalATestLexer.DFA18` | `dfa18`
`static int` | `EOF`
`static int` | `RULE_ANY_OTHER`
`static int` | `RULE_DESC_STRING`
`static int` | `RULE_ID`
`static int` | `RULE_INT`
`static int` | `RULE_INTEGER`
`static int` | `RULE_ML_COMMENT`
`static int` | `RULE_REAL`
`static int` | `RULE_SL_COMMENT`
`static int` | `RULE_STRING`
`static int` | `RULE_WS`
`static int` | `T__14`
`static int` | `T__15`
`static int` | `T__16`
`static int` | `T__17`
`static int` | `T__18`
`static int` | `T__19`
`static int` | `T__20`
`static int` | `T__21`
`static int` | `T__22`
`static int` | `T__23`
`static int` | `T__24`
`static int` | `T__25`
`static int` | `T__26`
`static int` | `T__27`
`static int` | `T__28`
`static int` | `T__29`

Fields inherited from class org.antlr.runtime.Lexer
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`InternalATestLexer()`
`InternalATestLexer(org.antlr.runtime.CharStream input)`
`InternalATestLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`java.lang.String` | `getGrammarFileName()`
`void` | `mRULE_ANY_OTHER()`
`void` | `mRULE_DESC_STRING()`
`void` | `mRULE_ID()`
`void` | `mRULE_INT()`
`void` | `mRULE_INTEGER()`
`void` | `mRULE_ML_COMMENT()`
`void` | `mRULE_REAL()`
`void` | `mRULE_SL_COMMENT()`
`void` | `mRULE_STRING()`
`void` | `mRULE_WS()`
`void` | `mT__14()`
`void` | `mT__15()`
`void` | `mT__16()`
`void` | `mT__17()`
`void` | `mT__18()`
`void` | `mT__19()`
`void` | `mT__20()`
`void` | `mT__21()`
`void` | `mT__22()`
`void` | `mT__23()`
`void` | `mT__24()`
`void` | `mT__25()`
`void` | `mT__26()`
`void` | `mT__27()`
`void` | `mT__28()`
`void` | `mT__29()`
`void` | `mTokens()`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer
`emitErrorMessage`

Methods inherited from class org.antlr.runtime.Lexer
`emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_ID

    public static final int RULE_ID

See Also:
  Constant Field Values

### T__29

    public static final int T__29

See Also:
  Constant Field Values

### T__28

    public static final int T__28

See Also:
  Constant Field Values

### T__27

    public static final int T__27

See Also:
  Constant Field Values

### T__26

    public static final int T__26

See Also:
  Constant Field Values

### T__25

    public static final int T__25

See Also:
  Constant Field Values

### T__24

    public static final int T__24

See Also:
  Constant Field Values

### T__23

    public static final int T__23

See Also:
  Constant Field Values

### T__22

    public static final int T__22

See Also:
  Constant Field Values

### RULE_ANY_OTHER

    public static final int RULE_ANY_OTHER

See Also:
  Constant Field Values

### T__21

    public static final int T__21

See Also:
  Constant Field Values

### T__20

    public static final int T__20

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RULE_SL_COMMENT

    public static final int RULE_SL_COMMENT

See Also:
  Constant Field Values

### RULE_ML_COMMENT

    public static final int RULE_ML_COMMENT

See Also:
  Constant Field Values

### T__19

    public static final int T__19

See Also:
  Constant Field Values

### RULE_STRING

    public static final int RULE_STRING

See Also:
  Constant Field Values

### T__16

    public static final int T__16

See Also:
  Constant Field Values

### T__15

    public static final int T__15

See Also:
  Constant Field Values

### T__18

    public static final int T__18

See Also:
  Constant Field Values

### T__17

    public static final int T__17

See Also:
  Constant Field Values

### T__14

    public static final int T__14

See Also:
  Constant Field Values

### RULE_INT

    public static final int RULE_INT

See Also:
  Constant Field Values

### RULE_REAL

    public static final int RULE_REAL

See Also:
  Constant Field Values

### RULE_WS

    public static final int RULE_WS

See Also:
  Constant Field Values

### RULE_DESC_STRING

    public static final int RULE_DESC_STRING

See Also:
  Constant Field Values

### RULE_INTEGER

    public static final int RULE_INTEGER

See Also:
  Constant Field Values

### dfa18

    protected org.eclipse.amp.amf.testing.ui.contentassist.antlr.internal.InternalATestLexer.DFA18 dfa18

Constructor Detail

### InternalATestLexer

    public InternalATestLexer()

### InternalATestLexer

    public InternalATestLexer(org.antlr.runtime.CharStream input)

### InternalATestLexer

    public InternalATestLexer(org.antlr.runtime.CharStream input,
                              org.antlr.runtime.RecognizerSharedState state)

Method Detail

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mT__14

    public final void mT__14()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__15

    public final void mT__15()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__16

    public final void mT__16()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__17

    public final void mT__17()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__18

    public final void mT__18()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__19

    public final void mT__19()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__20

    public final void mT__20()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__21

    public final void mT__21()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__22

    public final void mT__22()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__23

    public final void mT__23()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__24

    public final void mT__24()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__25

    public final void mT__25()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__26

    public final void mT__26()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__27

    public final void mT__27()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__28

    public final void mT__28()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT__29

    public final void mT__29()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_INTEGER

    public final void mRULE_INTEGER()
                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_REAL

    public final void mRULE_REAL()
                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_DESC_STRING

    public final void mRULE_DESC_STRING()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ID

    public final void mRULE_ID()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_INT

    public final void mRULE_INT()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_STRING

    public final void mRULE_STRING()
                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ML_COMMENT

    public final void mRULE_ML_COMMENT()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_SL_COMMENT

    public final void mRULE_SL_COMMENT()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_WS

    public final void mRULE_WS()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ANY_OTHER

    public final void mRULE_ANY_OTHER()
                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

  Specified by:
    `mTokens` in class `org.antlr.runtime.Lexer`
  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD